# ConveyorFinanceApi

## ConveyorFinanceApi

All URIs are relative to *<https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app>*

| Method            | HTTP request                          | Description |
| ----------------- | ------------------------------------- | ----------- |
| [**swap**](#swap) | **POST** /conveyorfinance/{name}/swap |             |

## **swap**

> ConveyorFinanceControllerResponse swap(authorization, name, tokenSwapParams)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = ConveyorFinanceApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val name : kotlin.String = name_example // kotlin.String | 
val tokenSwapParams : TokenSwapParams =  // TokenSwapParams | 
try {
    val result : ConveyorFinanceControllerResponse = apiInstance.swap(authorization, name, tokenSwapParams)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling ConveyorFinanceApi#swap")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling ConveyorFinanceApi#swap")
    e.printStackTrace()
}
```

#### Parameters

| Name                | Type                                                   | Description | Notes |
| ------------------- | ------------------------------------------------------ | ----------- | ----- |
| **authorization**   | **kotlin.String**                                      |             |       |
| **name**            | **kotlin.String**                                      |             |       |
| **tokenSwapParams** | [**TokenSwapParams**](/sdks/kotlin/tokenswapparams.md) |             |       |

#### Return type

[**ConveyorFinanceControllerResponse**](/sdks/kotlin/conveyorfinancecontrollerresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/kotlin/conveyorfinanceapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
